<?php

namespace \NineDotMedia\viapost-php\ArrayType;

use \WsdlToPhp\PackageBase\AbstractStructArrayBase;

/**
 * This class stands for ArrayOfPostalAddress ArrayType
 * @subpackage Arrays
 */
class ArrayOfPostalAddress extends AbstractStructArrayBase
{
    /**
     * The PostalAddress
     * Meta information extracted from the WSDL
     * - maxOccurs: unbounded
     * - minOccurs: 0
     * - nillable: true
     * @var \\NineDotMedia\viapost-php\StructType\PostalAddress[]
     */
    public $PostalAddress;
    /**
     * Constructor method for ArrayOfPostalAddress
     * @uses ArrayOfPostalAddress::setPostalAddress()
     * @param \\NineDotMedia\viapost-php\StructType\PostalAddress[] $postalAddress
     */
    public function __construct(array $postalAddress = array())
    {
        $this
            ->setPostalAddress($postalAddress);
    }
    /**
     * Get PostalAddress value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress[]|null
     */
    public function getPostalAddress()
    {
        return isset($this->PostalAddress) ? $this->PostalAddress : null;
    }
    /**
     * This method is responsible for validating the values passed to the setPostalAddress method
     * This method is willingly generated in order to preserve the one-line inline validation within the setPostalAddress method
     * @param array $values
     * @return string A non-empty message if the values does not match the validation rules
     */
    public static function validatePostalAddressForArrayConstraintsFromSetPostalAddress(array $values = array())
    {
        $message = '';
        $invalidValues = [];
        foreach ($values as $arrayOfPostalAddressPostalAddressItem) {
            // validation for constraint: itemType
            if (!$arrayOfPostalAddressPostalAddressItem instanceof \\NineDotMedia\viapost-php\StructType\PostalAddress) {
                $invalidValues[] = is_object($arrayOfPostalAddressPostalAddressItem) ? get_class($arrayOfPostalAddressPostalAddressItem) : sprintf('%s(%s)', gettype($arrayOfPostalAddressPostalAddressItem), var_export($arrayOfPostalAddressPostalAddressItem, true));
            }
        }
        if (!empty($invalidValues)) {
            $message = sprintf('The PostalAddress property can only contain items of type \\NineDotMedia\viapost-php\StructType\PostalAddress, %s given', is_object($invalidValues) ? get_class($invalidValues) : (is_array($invalidValues) ? implode(', ', $invalidValues) : gettype($invalidValues)));
        }
        unset($invalidValues);
        return $message;
    }
    /**
     * Set PostalAddress value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @throws \InvalidArgumentException
     * @param \\NineDotMedia\viapost-php\StructType\PostalAddress[] $postalAddress
     * @return \\NineDotMedia\viapost-php\ArrayType\ArrayOfPostalAddress
     */
    public function setPostalAddress(array $postalAddress = array())
    {
        // validation for constraint: array
        if ('' !== ($postalAddressArrayErrorMessage = self::validatePostalAddressForArrayConstraintsFromSetPostalAddress($postalAddress))) {
            throw new \InvalidArgumentException($postalAddressArrayErrorMessage, __LINE__);
        }
        if (is_null($postalAddress) || (is_array($postalAddress) && empty($postalAddress))) {
            unset($this->PostalAddress);
        } else {
            $this->PostalAddress = $postalAddress;
        }
        return $this;
    }
    /**
     * Add item to PostalAddress value
     * @throws \InvalidArgumentException
     * @param \\NineDotMedia\viapost-php\StructType\PostalAddress $item
     * @return \\NineDotMedia\viapost-php\ArrayType\ArrayOfPostalAddress
     */
    public function addToPostalAddress(\\NineDotMedia\viapost-php\StructType\PostalAddress $item)
    {
        // validation for constraint: itemType
        if (!$item instanceof \\NineDotMedia\viapost-php\StructType\PostalAddress) {
            throw new \InvalidArgumentException(sprintf('The PostalAddress property can only contain items of type \\NineDotMedia\viapost-php\StructType\PostalAddress, %s given', is_object($item) ? get_class($item) : (is_array($item) ? implode(', ', $item) : gettype($item))), __LINE__);
        }
        $this->PostalAddress[] = $item;
        return $this;
    }
    /**
     * Returns the current element
     * @see AbstractStructArrayBase::current()
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function current()
    {
        return parent::current();
    }
    /**
     * Returns the indexed element
     * @see AbstractStructArrayBase::item()
     * @param int $index
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function item($index)
    {
        return parent::item($index);
    }
    /**
     * Returns the first element
     * @see AbstractStructArrayBase::first()
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function first()
    {
        return parent::first();
    }
    /**
     * Returns the last element
     * @see AbstractStructArrayBase::last()
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function last()
    {
        return parent::last();
    }
    /**
     * Returns the element at the offset
     * @see AbstractStructArrayBase::offsetGet()
     * @param int $offset
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function offsetGet($offset)
    {
        return parent::offsetGet($offset);
    }
    /**
     * Returns the attribute name
     * @see AbstractStructArrayBase::getAttributeName()
     * @return string PostalAddress
     */
    public function getAttributeName()
    {
        return 'PostalAddress';
    }
}
