<?php

namespace \NineDotMedia\viapost-php;

/**
 * Class which returns the class map definition
 * @package
 */
class ClassMap
{
    /**
     * Returns the mapping between the WSDL Structs and generated Structs' classes
     * This array is sent to the \SoapClient when calling the WS
     * @return string[]
     */
    final public static function get()
    {
        return array(
            'GetSystemID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetSystemID',
            'GetSystemIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetSystemIDResponse',
            'CreateLetterFromXPS' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetterFromXPS',
            'CreateLetterFromXPSResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetterFromXPSResponse',
            'GetDocumentPageCountRange' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentPageCountRange',
            'GetDocumentPageCountRangeResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentPageCountRangeResponse',
            'SendDriverMailingConfirmation' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendDriverMailingConfirmation',
            'SendDriverMailingConfirmationResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendDriverMailingConfirmationResponse',
            'GetLibraryInserts' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryInserts',
            'ArrayOfAnyType' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfAnyType',
            'APILetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\APILetter',
            'ReservedArea' => '\\\\NineDotMedia\\viapost-php\\StructType\\ReservedArea',
            'RectangleF' => '\\\\NineDotMedia\\viapost-php\\StructType\\RectangleF',
            'PointF' => '\\\\NineDotMedia\\viapost-php\\StructType\\PointF',
            'SizeF' => '\\\\NineDotMedia\\viapost-php\\StructType\\SizeF',
            'DocumentHistory' => '\\\\NineDotMedia\\viapost-php\\StructType\\DocumentHistory',
            'JobRun' => '\\\\NineDotMedia\\viapost-php\\StructType\\JobRun',
            'Document' => '\\\\NineDotMedia\\viapost-php\\StructType\\Document',
            'UserVariable' => '\\\\NineDotMedia\\viapost-php\\StructType\\UserVariable',
            'DataList' => '\\\\NineDotMedia\\viapost-php\\StructType\\DataList',
            'Mapping' => '\\\\NineDotMedia\\viapost-php\\StructType\\Mapping',
            'ArrayOfString' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfString',
            'ArrayOfMergeField' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfMergeField',
            'MergeField' => '\\\\NineDotMedia\\viapost-php\\StructType\\MergeField',
            'Attachment' => '\\\\NineDotMedia\\viapost-php\\StructType\\Attachment',
            'Letterhead' => '\\\\NineDotMedia\\viapost-php\\StructType\\Letterhead',
            'Postcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\Postcard',
            'MailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailPack',
            'CostCentre' => '\\\\NineDotMedia\\viapost-php\\StructType\\CostCentre',
            'Insert' => '\\\\NineDotMedia\\viapost-php\\StructType\\Insert',
            'GetLibraryInsertsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryInsertsResponse',
            'GetCostCentres' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetCostCentres',
            'GetCostCentresResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetCostCentresResponse',
            'GenerateMappingWithDefaultNameAndMergeFields' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameAndMergeFields',
            'GenerateMappingWithDefaultNameAndMergeFieldsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameAndMergeFieldsResponse',
            'GenerateMappingWithID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithID',
            'GenerateMappingWithIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithIDResponse',
            'GenerateMappingWithDefaultNameWithID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameWithID',
            'GenerateMappingWithDefaultNameWithIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameWithIDResponse',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameAndMergeFieldsWithID',
            'GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameAndMergeFieldsWithIDResponse',
            'CreateAttachment' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAttachment',
            'CreateAttachmentResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAttachmentResponse',
            'CreateLetterhead' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetterhead',
            'CreateLetterheadResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetterheadResponse',
            'CreateLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetter',
            'CreateLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateLetterResponse',
            'CreateMailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateMailPack',
            'ArrayOfLong' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfLong',
            'CreateMailPackResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateMailPackResponse',
            'DeleteMailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMailPack',
            'DeleteMailPackResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMailPackResponse',
            'SendMailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPack',
            'SendMailPackResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackResponse',
            'SendMailPackToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToFindNearest',
            'SendMailPackToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToFindNearestResponse',
            'CreateAndSendMailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPack',
            'CreateAndSendMailPackResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPackResponse',
            'SendMailPackToSingleAddress2' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToSingleAddress2',
            'ArrayOfArrayOfString' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfArrayOfString',
            'SendMailPackToSingleAddress2Response' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToSingleAddress2Response',
            'SendMailPackToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToSingleAddress',
            'SendMailPackToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendMailPackToSingleAddressResponse',
            'CreateAndSendMailPackToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPackToSingleAddress',
            'CreateAndSendMailPackToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPackToSingleAddressResponse',
            'SendSimpleMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailing',
            'SendSimpleMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailingResponse',
            'SendSimpleMailingToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailingToFindNearest',
            'SendSimpleMailingToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailingToFindNearestResponse',
            'CreateAndSendSimpleMailingToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailingToFindNearest',
            'CreateAndSendSimpleMailingToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailingToFindNearestResponse',
            'SendSimpleMailingToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailingToSingleAddress',
            'SendSimpleMailingToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendSimpleMailingToSingleAddressResponse',
            'CreateAndSendSimpleMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailing',
            'CreateAndSendSimpleMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailingResponse',
            'CreateAndSendSimpleMailingToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailingToSingleAddress',
            'CreateAndSendSimpleMailingToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendSimpleMailingToSingleAddressResponse',
            'CreateAndSendMailPackToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPackToFindNearest',
            'CreateAndSendMailPackToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendMailPackToFindNearestResponse',
            'AddExcludedAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddExcludedAddress',
            'AddExcludedAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddExcludedAddressResponse',
            'GetExcludedAddresses' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetExcludedAddresses',
            'GetExcludedAddressesResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetExcludedAddressesResponse',
            'DeleteExcludedAddressByID' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteExcludedAddressByID',
            'DeleteExcludedAddressByIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteExcludedAddressByIDResponse',
            'FindNearestQueryAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\FindNearestQueryAddress',
            'FindNearestQueryAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\FindNearestQueryAddressResponse',
            'FindNearestExecuteSearch' => '\\\\NineDotMedia\\viapost-php\\StructType\\FindNearestExecuteSearch',
            'FindNearestExecuteSearchResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\FindNearestExecuteSearchResponse',
            'UpdateLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateLetter',
            'UpdateLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateLetterResponse',
            'UpdateMailPackLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateMailPackLetter',
            'UpdateMailPackLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateMailPackLetterResponse',
            'UpdateMailPackTemplate' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateMailPackTemplate',
            'UpdateMailPackTemplateResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UpdateMailPackTemplateResponse',
            'GetMailPacks' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailPacks',
            'GetMailPacksResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailPacksResponse',
            'GetLibraryMailPacks' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryMailPacks',
            'GetLibraryMailPacksResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryMailPacksResponse',
            'CreatePostcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreatePostcard',
            'CreatePostcardResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreatePostcardResponse',
            'GetLibraryPostcards' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryPostcards',
            'GetLibraryPostcardsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryPostcardsResponse',
            'PreviewLibraryPostcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryPostcard',
            'PreviewLibraryPostcardResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryPostcardResponse',
            'SendPostcardToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcardToSingleAddress',
            'SendPostcardToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcardToSingleAddressResponse',
            'SendPostcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcard',
            'SendPostcardResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcardResponse',
            'SendPostcardToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcardToFindNearest',
            'SendPostcardToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendPostcardToFindNearestResponse',
            'CreateAndSendPostcardToSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcardToSingleAddress',
            'CreateAndSendPostcardToSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcardToSingleAddressResponse',
            'CreateAndSendPostcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcard',
            'CreateAndSendPostcardResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcardResponse',
            'CreateAndSendPostcardToFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcardToFindNearest',
            'CreateAndSendPostcardToFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAndSendPostcardToFindNearestResponse',
            'CalculateCostOfSingleAddressMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfSingleAddressMailing',
            'CalculateCostOfSingleAddressMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfSingleAddressMailingResponse',
            'CalculateCostOfMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfMailing',
            'CalculateCostOfMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfMailingResponse',
            'CalculateCostOfFindNearestMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfFindNearestMailing',
            'CalculateCostOfFindNearestMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfFindNearestMailingResponse',
            'GetLibraryLetterheads' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryLetterheads',
            'GetLibraryLetterheadsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryLetterheadsResponse',
            'GetLibraryAttachments' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryAttachments',
            'GetLibraryAttachmentsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryAttachmentsResponse',
            'PreviewLibraryLetterhead' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryLetterhead',
            'PreviewLibraryLetterheadResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryLetterheadResponse',
            'PreviewLibraryAttachment' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryAttachment',
            'PreviewLibraryAttachmentResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryAttachmentResponse',
            'PreviewDocumentSingleAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentSingleAddress',
            'PreviewDocumentSingleAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentSingleAddressResponse',
            'PreviewDocumentMailingList' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentMailingList',
            'PreviewDocumentMailingListResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentMailingListResponse',
            'PreviewDocumentFindNearest' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentFindNearest',
            'PreviewDocumentFindNearestResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewDocumentFindNearestResponse',
            'GetLibraryMappings' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryMappings',
            'GetLibraryMappingsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryMappingsResponse',
            'GetDataListUrl' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDataListUrl',
            'GetDataListUrlResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDataListUrlResponse',
            'DownloadDataList' => '\\\\NineDotMedia\\viapost-php\\StructType\\DownloadDataList',
            'DownloadDataListResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DownloadDataListResponse',
            'GetDataLists' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDataLists',
            'GetDataListsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDataListsResponse',
            'CalculateCostOfDataList' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfDataList',
            'CalculateCostOfDataListResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfDataListResponse',
            'GetUserVariables' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetUserVariables',
            'GetUserVariablesResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetUserVariablesResponse',
            'GetDocumentation' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentation',
            'GetDocumentationResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentationResponse',
            'GetMailHistoryJobs' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailHistoryJobs',
            'GetMailHistoryJobsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailHistoryJobsResponse',
            'GetMailHistoryDocumentsByJobId' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailHistoryDocumentsByJobId',
            'GetMailHistoryDocumentsByJobIdResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailHistoryDocumentsByJobIdResponse',
            'RetryLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\RetryLetter',
            'RetryLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\RetryLetterResponse',
            'GetAddressesForPostcode' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAddressesForPostcode',
            'ArrayOfPostalAddress' => '\\\\NineDotMedia\\viapost-php\\ArrayType\\ArrayOfPostalAddress',
            'PostalAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\PostalAddress',
            'GetAddressesForPostcodeResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAddressesForPostcodeResponse',
            'GetDocumentStickerArea' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentStickerArea',
            'GetDocumentStickerAreaResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentStickerAreaResponse',
            'GetDocumentReservedAreas' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentReservedAreas',
            'GetDocumentReservedAreasResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetDocumentReservedAreasResponse',
            'CalculateCostOfNewMailing' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfNewMailing',
            'CalculateCostOfNewMailingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateCostOfNewMailingResponse',
            'IsFirstClassAvailable' => '\\\\NineDotMedia\\viapost-php\\StructType\\IsFirstClassAvailable',
            'IsFirstClassAvailableResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\IsFirstClassAvailableResponse',
            'GetUserDetails' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetUserDetails',
            'GetUserDetailsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetUserDetailsResponse',
            'IsValidLoginToken' => '\\\\NineDotMedia\\viapost-php\\StructType\\IsValidLoginToken',
            'IsValidLoginTokenResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\IsValidLoginTokenResponse',
            'ChangePassword' => '\\\\NineDotMedia\\viapost-php\\StructType\\ChangePassword',
            'ChangePasswordResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\ChangePasswordResponse',
            'GetLatestVersionDetails' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLatestVersionDetails',
            'GetLatestVersionDetailsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLatestVersionDetailsResponse',
            'GetAccountUrl' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAccountUrl',
            'GetAccountUrlResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAccountUrlResponse',
            'GetPortalUrl' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetPortalUrl',
            'GetPortalUrlResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetPortalUrlResponse',
            'PreviewLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLetter',
            'PreviewLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLetterResponse',
            'PreviewLibraryLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryLetter',
            'PreviewLibraryLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewLibraryLetterResponse',
            'PreviewMailPack' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewMailPack',
            'PreviewMailPackResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\PreviewMailPackResponse',
            'SignIn' => '\\\\NineDotMedia\\viapost-php\\StructType\\SignIn',
            'SignInResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SignInResponse',
            'UploadDocument' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadDocument',
            'UploadDocumentResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadDocumentResponse',
            'SearchAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\SearchAddress',
            'SearchAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SearchAddressResponse',
            'CreateJobRunRecord' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateJobRunRecord',
            'CreateJobRunRecordResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateJobRunRecordResponse',
            'SendLetterWithStructuredAddress' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetterWithStructuredAddress',
            'CustomerAPILetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\CustomerAPILetter',
            'SendLetterWithStructuredAddressResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetterWithStructuredAddressResponse',
            'SendLetterWithStructuredAddressAndExceptions' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetterWithStructuredAddressAndExceptions',
            'SendLetterWithStructuredAddressAndExceptionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetterWithStructuredAddressAndExceptionsResponse',
            'SendLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetter',
            'SendLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\SendLetterResponse',
            'GetBalance' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetBalance',
            'GetBalanceResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetBalanceResponse',
            'GetAvailableFunds' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAvailableFunds',
            'GetAvailableFundsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetAvailableFundsResponse',
            'GetLetterByID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterByID',
            'GetLetterByIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterByIDResponse',
            'GetLetters' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetters',
            'GetLettersResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLettersResponse',
            'GetLibraryLetters' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryLetters',
            'GetLibraryLettersResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLibraryLettersResponse',
            'GetMailingLists' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailingLists',
            'GetMailingListsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailingListsResponse',
            'GetMailingListByID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailingListByID',
            'CustomerAPIMailingList' => '\\\\NineDotMedia\\viapost-php\\StructType\\CustomerAPIMailingList',
            'GetMailingListByIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMailingListByIDResponse',
            'DeleteMailingList' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMailingList',
            'DeleteMailingListResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMailingListResponse',
            'DeleteMapping' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMapping',
            'DeleteMappingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteMappingResponse',
            'DeleteUserVariable' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteUserVariable',
            'DeleteUserVariableResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteUserVariableResponse',
            'DeleteLetterhead' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterhead',
            'DeleteLetterheadResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterheadResponse',
            'DeleteLetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetter',
            'DeleteLetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterResponse',
            'DeleteAttachment' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteAttachment',
            'DeleteAttachmentResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteAttachmentResponse',
            'DeletePostcard' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeletePostcard',
            'DeletePostcardResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeletePostcardResponse',
            'UploadMailingList' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingList',
            'UploadMailingListResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingListResponse',
            'UploadMailingListWithMapping' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingListWithMapping',
            'UploadMailingListWithMappingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingListWithMappingResponse',
            'UploadMailingListWithMappingAndShare' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingListWithMappingAndShare',
            'UploadMailingListWithMappingAndShareResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadMailingListWithMappingAndShareResponse',
            'UploadConsolidatedPDF' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadConsolidatedPDF',
            'xmlResults' => '\\\\NineDotMedia\\viapost-php\\StructType\\XmlResults',
            'UploadConsolidatedPDFResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\UploadConsolidatedPDFResponse',
            'MailMerge' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMerge',
            'MailMergeResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMergeResponse',
            'MailMergeWithExceptionsAndConfirmationEmails' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMergeWithExceptionsAndConfirmationEmails',
            'MailMergeWithExceptionsAndConfirmationEmailsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMergeWithExceptionsAndConfirmationEmailsResponse',
            'MailMergeWithExceptions' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMergeWithExceptions',
            'MailMergeWithExceptionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailMergeWithExceptionsResponse',
            'CreateAccount' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAccount',
            'CreateAccountResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAccountResponse',
            'CreateAccountNonUK' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAccountNonUK',
            'CreateAccountNonUKResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreateAccountNonUKResponse',
            'AddUserToAccount' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccount',
            'AddUserToAccountResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountResponse',
            'AddUserToAccountPermissions' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountPermissions',
            'AddUserToAccountPermissionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountPermissionsResponse',
            'AddUserToAccountNonUK' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountNonUK',
            'AddUserToAccountNonUKResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountNonUKResponse',
            'AddUserToAccountNonUKPermissions' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountNonUKPermissions',
            'AddUserToAccountNonUKPermissionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AddUserToAccountNonUKPermissionsResponse',
            'CalculateLetterCostComplexBatchWithExceptions' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostComplexBatchWithExceptions',
            'MailBatch' => '\\\\NineDotMedia\\viapost-php\\StructType\\MailBatch',
            'CalculateLetterCostComplexBatchWithExceptionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostComplexBatchWithExceptionsResponse',
            'CalculateLetterCostSimpleBatch' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostSimpleBatch',
            'CalculateLetterCostSimpleBatchResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostSimpleBatchResponse',
            'CalculateLetterCostSimpleBatchWithExceptions' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostSimpleBatchWithExceptions',
            'CalculateLetterCostSimpleBatchWithExceptionsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostSimpleBatchWithExceptionsResponse',
            'CalculateLetterCostComplexBatch' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostComplexBatch',
            'CalculateLetterCostComplexBatchResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateLetterCostComplexBatchResponse',
            'CalculateMailMergeCost' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateMailMergeCost',
            'CalculateMailMergeCostResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateMailMergeCostResponse',
            'CalculateEstimatedDeliveryDate' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateEstimatedDeliveryDate',
            'CalculateEstimatedDeliveryDateResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateEstimatedDeliveryDateResponse',
            'CalculateEstimatedDeliveryDateNow' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateEstimatedDeliveryDateNow',
            'CalculateEstimatedDeliveryDateNowResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateEstimatedDeliveryDateNowResponse',
            'CalculateSendDateForDeliveryDate' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateSendDateForDeliveryDate',
            'CalculateSendDateForDeliveryDateResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CalculateSendDateForDeliveryDateResponse',
            'GetLetterStatusByLetterID' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterStatusByLetterID',
            'GetLetterStatusByLetterIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterStatusByLetterIDResponse',
            'GetLetterStatusByCustomerAPILetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterStatusByCustomerAPILetter',
            'GetLetterStatusByCustomerAPILetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetLetterStatusByCustomerAPILetterResponse',
            'DeleteLetterByLetterID' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterByLetterID',
            'DeleteLetterByLetterIDResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterByLetterIDResponse',
            'DeleteLetterByCustomerAPILetter' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterByCustomerAPILetter',
            'DeleteLetterByCustomerAPILetterResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeleteLetterByCustomerAPILetterResponse',
            'CreatePriceBand' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreatePriceBand',
            'CreatePriceBandResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\CreatePriceBandResponse',
            'AssignPriceBand' => '\\\\NineDotMedia\\viapost-php\\StructType\\AssignPriceBand',
            'AssignPriceBandResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\AssignPriceBandResponse',
            'GetPriceBands' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetPriceBands',
            'GetPriceBandsResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetPriceBandsResponse',
            'DeletePriceBand' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeletePriceBand',
            'DeletePriceBandResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DeletePriceBandResponse',
            'GetCountries' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetCountries',
            'GetCountriesResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetCountriesResponse',
            'DisableUser' => '\\\\NineDotMedia\\viapost-php\\StructType\\DisableUser',
            'DisableUserResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\DisableUserResponse',
            'GetMessage' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMessage',
            'GetMessageResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GetMessageResponse',
            'GenerateMapping' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMapping',
            'GenerateMappingResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingResponse',
            'GenerateMappingWithDefaultName' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultName',
            'GenerateMappingWithDefaultNameResponse' => '\\\\NineDotMedia\\viapost-php\\StructType\\GenerateMappingWithDefaultNameResponse',
        );
    }
}
