<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CalculateSendDateForDeliveryDate StructType
 * @subpackage Structs
 */
class CalculateSendDateForDeliveryDate extends AbstractStructBase
{
    /**
     * The earliestSendDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $earliestSendDateTime;
    /**
     * The latestSendDateTime
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $latestSendDateTime;
    /**
     * The DeliveryDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var string
     */
    public $DeliveryDate;
    /**
     * The sLoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLoginToken;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for CalculateSendDateForDeliveryDate
     * @uses CalculateSendDateForDeliveryDate::setEarliestSendDateTime()
     * @uses CalculateSendDateForDeliveryDate::setLatestSendDateTime()
     * @uses CalculateSendDateForDeliveryDate::setDeliveryDate()
     * @uses CalculateSendDateForDeliveryDate::setSLoginToken()
     * @uses CalculateSendDateForDeliveryDate::setSReturnMessage()
     * @param string $earliestSendDateTime
     * @param string $latestSendDateTime
     * @param string $deliveryDate
     * @param string $sLoginToken
     * @param string $sReturnMessage
     */
    public function __construct($earliestSendDateTime = null, $latestSendDateTime = null, $deliveryDate = null, $sLoginToken = null, $sReturnMessage = null)
    {
        $this
            ->setEarliestSendDateTime($earliestSendDateTime)
            ->setLatestSendDateTime($latestSendDateTime)
            ->setDeliveryDate($deliveryDate)
            ->setSLoginToken($sLoginToken)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get earliestSendDateTime value
     * @return string
     */
    public function getEarliestSendDateTime()
    {
        return $this->earliestSendDateTime;
    }
    /**
     * Set earliestSendDateTime value
     * @param string $earliestSendDateTime
     * @return \\NineDotMedia\viapost-php\StructType\CalculateSendDateForDeliveryDate
     */
    public function setEarliestSendDateTime($earliestSendDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($earliestSendDateTime) && !is_string($earliestSendDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($earliestSendDateTime, true), gettype($earliestSendDateTime)), __LINE__);
        }
        $this->earliestSendDateTime = $earliestSendDateTime;
        return $this;
    }
    /**
     * Get latestSendDateTime value
     * @return string
     */
    public function getLatestSendDateTime()
    {
        return $this->latestSendDateTime;
    }
    /**
     * Set latestSendDateTime value
     * @param string $latestSendDateTime
     * @return \\NineDotMedia\viapost-php\StructType\CalculateSendDateForDeliveryDate
     */
    public function setLatestSendDateTime($latestSendDateTime = null)
    {
        // validation for constraint: string
        if (!is_null($latestSendDateTime) && !is_string($latestSendDateTime)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($latestSendDateTime, true), gettype($latestSendDateTime)), __LINE__);
        }
        $this->latestSendDateTime = $latestSendDateTime;
        return $this;
    }
    /**
     * Get DeliveryDate value
     * @return string
     */
    public function getDeliveryDate()
    {
        return $this->DeliveryDate;
    }
    /**
     * Set DeliveryDate value
     * @param string $deliveryDate
     * @return \\NineDotMedia\viapost-php\StructType\CalculateSendDateForDeliveryDate
     */
    public function setDeliveryDate($deliveryDate = null)
    {
        // validation for constraint: string
        if (!is_null($deliveryDate) && !is_string($deliveryDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($deliveryDate, true), gettype($deliveryDate)), __LINE__);
        }
        $this->DeliveryDate = $deliveryDate;
        return $this;
    }
    /**
     * Get sLoginToken value
     * @return string|null
     */
    public function getSLoginToken()
    {
        return $this->sLoginToken;
    }
    /**
     * Set sLoginToken value
     * @param string $sLoginToken
     * @return \\NineDotMedia\viapost-php\StructType\CalculateSendDateForDeliveryDate
     */
    public function setSLoginToken($sLoginToken = null)
    {
        // validation for constraint: string
        if (!is_null($sLoginToken) && !is_string($sLoginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sLoginToken, true), gettype($sLoginToken)), __LINE__);
        }
        $this->sLoginToken = $sLoginToken;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\viapost-php\StructType\CalculateSendDateForDeliveryDate
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
