<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateAccountResponse StructType
 * @subpackage Structs
 */
class CreateAccountResponse extends AbstractStructBase
{
    /**
     * The CreateAccountResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CreateAccountResult;
    /**
     * The sPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sPassword;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for CreateAccountResponse
     * @uses CreateAccountResponse::setCreateAccountResult()
     * @uses CreateAccountResponse::setSPassword()
     * @uses CreateAccountResponse::setSReturnMessage()
     * @param bool $createAccountResult
     * @param string $sPassword
     * @param string $sReturnMessage
     */
    public function __construct($createAccountResult = null, $sPassword = null, $sReturnMessage = null)
    {
        $this
            ->setCreateAccountResult($createAccountResult)
            ->setSPassword($sPassword)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get CreateAccountResult value
     * @return bool
     */
    public function getCreateAccountResult()
    {
        return $this->CreateAccountResult;
    }
    /**
     * Set CreateAccountResult value
     * @param bool $createAccountResult
     * @return \\NineDotMedia\viapost-php\StructType\CreateAccountResponse
     */
    public function setCreateAccountResult($createAccountResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($createAccountResult) && !is_bool($createAccountResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($createAccountResult, true), gettype($createAccountResult)), __LINE__);
        }
        $this->CreateAccountResult = $createAccountResult;
        return $this;
    }
    /**
     * Get sPassword value
     * @return string|null
     */
    public function getSPassword()
    {
        return $this->sPassword;
    }
    /**
     * Set sPassword value
     * @param string $sPassword
     * @return \\NineDotMedia\viapost-php\StructType\CreateAccountResponse
     */
    public function setSPassword($sPassword = null)
    {
        // validation for constraint: string
        if (!is_null($sPassword) && !is_string($sPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sPassword, true), gettype($sPassword)), __LINE__);
        }
        $this->sPassword = $sPassword;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\viapost-php\StructType\CreateAccountResponse
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
