<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateAttachmentResponse StructType
 * @subpackage Structs
 */
class CreateAttachmentResponse extends AbstractStructBase
{
    /**
     * The CreateAttachmentResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CreateAttachmentResult;
    /**
     * The attachmentID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $attachmentID;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CreateAttachmentResponse
     * @uses CreateAttachmentResponse::setCreateAttachmentResult()
     * @uses CreateAttachmentResponse::setAttachmentID()
     * @uses CreateAttachmentResponse::setReturnMessage()
     * @param bool $createAttachmentResult
     * @param int $attachmentID
     * @param string $returnMessage
     */
    public function __construct($createAttachmentResult = null, $attachmentID = null, $returnMessage = null)
    {
        $this
            ->setCreateAttachmentResult($createAttachmentResult)
            ->setAttachmentID($attachmentID)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get CreateAttachmentResult value
     * @return bool
     */
    public function getCreateAttachmentResult()
    {
        return $this->CreateAttachmentResult;
    }
    /**
     * Set CreateAttachmentResult value
     * @param bool $createAttachmentResult
     * @return \\NineDotMedia\viapost-php\StructType\CreateAttachmentResponse
     */
    public function setCreateAttachmentResult($createAttachmentResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($createAttachmentResult) && !is_bool($createAttachmentResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($createAttachmentResult, true), gettype($createAttachmentResult)), __LINE__);
        }
        $this->CreateAttachmentResult = $createAttachmentResult;
        return $this;
    }
    /**
     * Get attachmentID value
     * @return int
     */
    public function getAttachmentID()
    {
        return $this->attachmentID;
    }
    /**
     * Set attachmentID value
     * @param int $attachmentID
     * @return \\NineDotMedia\viapost-php\StructType\CreateAttachmentResponse
     */
    public function setAttachmentID($attachmentID = null)
    {
        // validation for constraint: int
        if (!is_null($attachmentID) && !(is_int($attachmentID) || ctype_digit($attachmentID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($attachmentID, true), gettype($attachmentID)), __LINE__);
        }
        $this->attachmentID = $attachmentID;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\viapost-php\StructType\CreateAttachmentResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
