<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for CreateLetterFromXPSResponse StructType
 * @subpackage Structs
 */
class CreateLetterFromXPSResponse extends AbstractStructBase
{
    /**
     * The CreateLetterFromXPSResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $CreateLetterFromXPSResult;
    /**
     * The letterID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $letterID;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for CreateLetterFromXPSResponse
     * @uses CreateLetterFromXPSResponse::setCreateLetterFromXPSResult()
     * @uses CreateLetterFromXPSResponse::setLetterID()
     * @uses CreateLetterFromXPSResponse::setReturnMessage()
     * @param bool $createLetterFromXPSResult
     * @param int $letterID
     * @param string $returnMessage
     */
    public function __construct($createLetterFromXPSResult = null, $letterID = null, $returnMessage = null)
    {
        $this
            ->setCreateLetterFromXPSResult($createLetterFromXPSResult)
            ->setLetterID($letterID)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get CreateLetterFromXPSResult value
     * @return bool
     */
    public function getCreateLetterFromXPSResult()
    {
        return $this->CreateLetterFromXPSResult;
    }
    /**
     * Set CreateLetterFromXPSResult value
     * @param bool $createLetterFromXPSResult
     * @return \\NineDotMedia\viapost-php\StructType\CreateLetterFromXPSResponse
     */
    public function setCreateLetterFromXPSResult($createLetterFromXPSResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($createLetterFromXPSResult) && !is_bool($createLetterFromXPSResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($createLetterFromXPSResult, true), gettype($createLetterFromXPSResult)), __LINE__);
        }
        $this->CreateLetterFromXPSResult = $createLetterFromXPSResult;
        return $this;
    }
    /**
     * Get letterID value
     * @return int
     */
    public function getLetterID()
    {
        return $this->letterID;
    }
    /**
     * Set letterID value
     * @param int $letterID
     * @return \\NineDotMedia\viapost-php\StructType\CreateLetterFromXPSResponse
     */
    public function setLetterID($letterID = null)
    {
        // validation for constraint: int
        if (!is_null($letterID) && !(is_int($letterID) || ctype_digit($letterID))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($letterID, true), gettype($letterID)), __LINE__);
        }
        $this->letterID = $letterID;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\viapost-php\StructType\CreateLetterFromXPSResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
