<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for DownloadDataListResponse StructType
 * @subpackage Structs
 */
class DownloadDataListResponse extends AbstractStructBase
{
    /**
     * The DownloadDataListResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $DownloadDataListResult;
    /**
     * The csvBuffer
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $csvBuffer;
    /**
     * The returnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $returnMessage;
    /**
     * Constructor method for DownloadDataListResponse
     * @uses DownloadDataListResponse::setDownloadDataListResult()
     * @uses DownloadDataListResponse::setCsvBuffer()
     * @uses DownloadDataListResponse::setReturnMessage()
     * @param bool $downloadDataListResult
     * @param string $csvBuffer
     * @param string $returnMessage
     */
    public function __construct($downloadDataListResult = null, $csvBuffer = null, $returnMessage = null)
    {
        $this
            ->setDownloadDataListResult($downloadDataListResult)
            ->setCsvBuffer($csvBuffer)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get DownloadDataListResult value
     * @return bool
     */
    public function getDownloadDataListResult()
    {
        return $this->DownloadDataListResult;
    }
    /**
     * Set DownloadDataListResult value
     * @param bool $downloadDataListResult
     * @return \\NineDotMedia\viapost-php\StructType\DownloadDataListResponse
     */
    public function setDownloadDataListResult($downloadDataListResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($downloadDataListResult) && !is_bool($downloadDataListResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($downloadDataListResult, true), gettype($downloadDataListResult)), __LINE__);
        }
        $this->DownloadDataListResult = $downloadDataListResult;
        return $this;
    }
    /**
     * Get csvBuffer value
     * @return string|null
     */
    public function getCsvBuffer()
    {
        return $this->csvBuffer;
    }
    /**
     * Set csvBuffer value
     * @param string $csvBuffer
     * @return \\NineDotMedia\viapost-php\StructType\DownloadDataListResponse
     */
    public function setCsvBuffer($csvBuffer = null)
    {
        // validation for constraint: string
        if (!is_null($csvBuffer) && !is_string($csvBuffer)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($csvBuffer, true), gettype($csvBuffer)), __LINE__);
        }
        $this->csvBuffer = $csvBuffer;
        return $this;
    }
    /**
     * Get returnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->returnMessage;
    }
    /**
     * Set returnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\viapost-php\StructType\DownloadDataListResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->returnMessage = $returnMessage;
        return $this;
    }
}
