<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for GetLatestVersionDetailsResponse StructType
 * @subpackage Structs
 */
class GetLatestVersionDetailsResponse extends AbstractStructBase
{
    /**
     * The GetLatestVersionDetailsResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $GetLatestVersionDetailsResult;
    /**
     * The required
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $required;
    /**
     * The version
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $version;
    /**
     * The downloadUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $downloadUrl;
    /**
     * The ReleaseDate
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ReleaseDate;
    /**
     * The helpUrl
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $helpUrl;
    /**
     * The message
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $message;
    /**
     * Constructor method for GetLatestVersionDetailsResponse
     * @uses GetLatestVersionDetailsResponse::setGetLatestVersionDetailsResult()
     * @uses GetLatestVersionDetailsResponse::setRequired()
     * @uses GetLatestVersionDetailsResponse::setVersion()
     * @uses GetLatestVersionDetailsResponse::setDownloadUrl()
     * @uses GetLatestVersionDetailsResponse::setReleaseDate()
     * @uses GetLatestVersionDetailsResponse::setHelpUrl()
     * @uses GetLatestVersionDetailsResponse::setMessage()
     * @param bool $getLatestVersionDetailsResult
     * @param bool $required
     * @param string $version
     * @param string $downloadUrl
     * @param string $releaseDate
     * @param string $helpUrl
     * @param string $message
     */
    public function __construct($getLatestVersionDetailsResult = null, $required = null, $version = null, $downloadUrl = null, $releaseDate = null, $helpUrl = null, $message = null)
    {
        $this
            ->setGetLatestVersionDetailsResult($getLatestVersionDetailsResult)
            ->setRequired($required)
            ->setVersion($version)
            ->setDownloadUrl($downloadUrl)
            ->setReleaseDate($releaseDate)
            ->setHelpUrl($helpUrl)
            ->setMessage($message);
    }
    /**
     * Get GetLatestVersionDetailsResult value
     * @return bool
     */
    public function getGetLatestVersionDetailsResult()
    {
        return $this->GetLatestVersionDetailsResult;
    }
    /**
     * Set GetLatestVersionDetailsResult value
     * @param bool $getLatestVersionDetailsResult
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setGetLatestVersionDetailsResult($getLatestVersionDetailsResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($getLatestVersionDetailsResult) && !is_bool($getLatestVersionDetailsResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($getLatestVersionDetailsResult, true), gettype($getLatestVersionDetailsResult)), __LINE__);
        }
        $this->GetLatestVersionDetailsResult = $getLatestVersionDetailsResult;
        return $this;
    }
    /**
     * Get required value
     * @return bool
     */
    public function getRequired()
    {
        return $this->required;
    }
    /**
     * Set required value
     * @param bool $required
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setRequired($required = null)
    {
        // validation for constraint: boolean
        if (!is_null($required) && !is_bool($required)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($required, true), gettype($required)), __LINE__);
        }
        $this->required = $required;
        return $this;
    }
    /**
     * Get version value
     * @return string|null
     */
    public function getVersion()
    {
        return $this->version;
    }
    /**
     * Set version value
     * @param string $version
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setVersion($version = null)
    {
        // validation for constraint: string
        if (!is_null($version) && !is_string($version)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($version, true), gettype($version)), __LINE__);
        }
        $this->version = $version;
        return $this;
    }
    /**
     * Get downloadUrl value
     * @return string|null
     */
    public function getDownloadUrl()
    {
        return $this->downloadUrl;
    }
    /**
     * Set downloadUrl value
     * @param string $downloadUrl
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setDownloadUrl($downloadUrl = null)
    {
        // validation for constraint: string
        if (!is_null($downloadUrl) && !is_string($downloadUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($downloadUrl, true), gettype($downloadUrl)), __LINE__);
        }
        $this->downloadUrl = $downloadUrl;
        return $this;
    }
    /**
     * Get ReleaseDate value
     * @return string|null
     */
    public function getReleaseDate()
    {
        return $this->ReleaseDate;
    }
    /**
     * Set ReleaseDate value
     * @param string $releaseDate
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setReleaseDate($releaseDate = null)
    {
        // validation for constraint: string
        if (!is_null($releaseDate) && !is_string($releaseDate)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($releaseDate, true), gettype($releaseDate)), __LINE__);
        }
        $this->ReleaseDate = $releaseDate;
        return $this;
    }
    /**
     * Get helpUrl value
     * @return string|null
     */
    public function getHelpUrl()
    {
        return $this->helpUrl;
    }
    /**
     * Set helpUrl value
     * @param string $helpUrl
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setHelpUrl($helpUrl = null)
    {
        // validation for constraint: string
        if (!is_null($helpUrl) && !is_string($helpUrl)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($helpUrl, true), gettype($helpUrl)), __LINE__);
        }
        $this->helpUrl = $helpUrl;
        return $this;
    }
    /**
     * Get message value
     * @return string|null
     */
    public function getMessage()
    {
        return $this->message;
    }
    /**
     * Set message value
     * @param string $message
     * @return \\NineDotMedia\viapost-php\StructType\GetLatestVersionDetailsResponse
     */
    public function setMessage($message = null)
    {
        // validation for constraint: string
        if (!is_null($message) && !is_string($message)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($message, true), gettype($message)), __LINE__);
        }
        $this->message = $message;
        return $this;
    }
}
