<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for PreviewMailPackResponse StructType
 * @subpackage Structs
 */
class PreviewMailPackResponse extends AbstractStructBase
{
    /**
     * The PreviewMailPackResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $PreviewMailPackResult;
    /**
     * The letterData
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $letterData;
    /**
     * The ReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ReturnMessage;
    /**
     * Constructor method for PreviewMailPackResponse
     * @uses PreviewMailPackResponse::setPreviewMailPackResult()
     * @uses PreviewMailPackResponse::setLetterData()
     * @uses PreviewMailPackResponse::setReturnMessage()
     * @param bool $previewMailPackResult
     * @param string $letterData
     * @param string $returnMessage
     */
    public function __construct($previewMailPackResult = null, $letterData = null, $returnMessage = null)
    {
        $this
            ->setPreviewMailPackResult($previewMailPackResult)
            ->setLetterData($letterData)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PreviewMailPackResult value
     * @return bool
     */
    public function getPreviewMailPackResult()
    {
        return $this->PreviewMailPackResult;
    }
    /**
     * Set PreviewMailPackResult value
     * @param bool $previewMailPackResult
     * @return \\NineDotMedia\viapost-php\StructType\PreviewMailPackResponse
     */
    public function setPreviewMailPackResult($previewMailPackResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($previewMailPackResult) && !is_bool($previewMailPackResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($previewMailPackResult, true), gettype($previewMailPackResult)), __LINE__);
        }
        $this->PreviewMailPackResult = $previewMailPackResult;
        return $this;
    }
    /**
     * Get letterData value
     * @return string|null
     */
    public function getLetterData()
    {
        return $this->letterData;
    }
    /**
     * Set letterData value
     * @param string $letterData
     * @return \\NineDotMedia\viapost-php\StructType\PreviewMailPackResponse
     */
    public function setLetterData($letterData = null)
    {
        // validation for constraint: string
        if (!is_null($letterData) && !is_string($letterData)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($letterData, true), gettype($letterData)), __LINE__);
        }
        $this->letterData = $letterData;
        return $this;
    }
    /**
     * Get ReturnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->ReturnMessage;
    }
    /**
     * Set ReturnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\viapost-php\StructType\PreviewMailPackResponse
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->ReturnMessage = $returnMessage;
        return $this;
    }
}
