<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SendLetterWithStructuredAddress StructType
 * @subpackage Structs
 */
class SendLetterWithStructuredAddress extends AbstractStructBase
{
    /**
     * The PafCode
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var int
     */
    public $PafCode;
    /**
     * The LoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $LoginToken;
    /**
     * The Address
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\NineDotMedia\viapost-php\StructType\PostalAddress
     */
    public $Address;
    /**
     * The firstClassStr
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $firstClassStr;
    /**
     * The insertsStr
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $insertsStr;
    /**
     * The costCentreStr
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $costCentreStr;
    /**
     * The affiliateGUID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $affiliateGUID;
    /**
     * The jobRunIDStr
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $jobRunIDStr;
    /**
     * The myCustomerAPILetter
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\NineDotMedia\viapost-php\StructType\CustomerAPILetter
     */
    public $myCustomerAPILetter;
    /**
     * The ReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $ReturnMessage;
    /**
     * Constructor method for SendLetterWithStructuredAddress
     * @uses SendLetterWithStructuredAddress::setPafCode()
     * @uses SendLetterWithStructuredAddress::setLoginToken()
     * @uses SendLetterWithStructuredAddress::setAddress()
     * @uses SendLetterWithStructuredAddress::setFirstClassStr()
     * @uses SendLetterWithStructuredAddress::setInsertsStr()
     * @uses SendLetterWithStructuredAddress::setCostCentreStr()
     * @uses SendLetterWithStructuredAddress::setAffiliateGUID()
     * @uses SendLetterWithStructuredAddress::setJobRunIDStr()
     * @uses SendLetterWithStructuredAddress::setMyCustomerAPILetter()
     * @uses SendLetterWithStructuredAddress::setReturnMessage()
     * @param int $pafCode
     * @param string $loginToken
     * @param \\NineDotMedia\viapost-php\StructType\PostalAddress $address
     * @param string $firstClassStr
     * @param string $insertsStr
     * @param string $costCentreStr
     * @param string $affiliateGUID
     * @param string $jobRunIDStr
     * @param \\NineDotMedia\viapost-php\StructType\CustomerAPILetter $myCustomerAPILetter
     * @param string $returnMessage
     */
    public function __construct($pafCode = null, $loginToken = null, \\NineDotMedia\viapost-php\StructType\PostalAddress $address = null, $firstClassStr = null, $insertsStr = null, $costCentreStr = null, $affiliateGUID = null, $jobRunIDStr = null, \\NineDotMedia\viapost-php\StructType\CustomerAPILetter $myCustomerAPILetter = null, $returnMessage = null)
    {
        $this
            ->setPafCode($pafCode)
            ->setLoginToken($loginToken)
            ->setAddress($address)
            ->setFirstClassStr($firstClassStr)
            ->setInsertsStr($insertsStr)
            ->setCostCentreStr($costCentreStr)
            ->setAffiliateGUID($affiliateGUID)
            ->setJobRunIDStr($jobRunIDStr)
            ->setMyCustomerAPILetter($myCustomerAPILetter)
            ->setReturnMessage($returnMessage);
    }
    /**
     * Get PafCode value
     * @return int
     */
    public function getPafCode()
    {
        return $this->PafCode;
    }
    /**
     * Set PafCode value
     * @param int $pafCode
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setPafCode($pafCode = null)
    {
        // validation for constraint: int
        if (!is_null($pafCode) && !(is_int($pafCode) || ctype_digit($pafCode))) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide an integer value, %s given', var_export($pafCode, true), gettype($pafCode)), __LINE__);
        }
        $this->PafCode = $pafCode;
        return $this;
    }
    /**
     * Get LoginToken value
     * @return string|null
     */
    public function getLoginToken()
    {
        return $this->LoginToken;
    }
    /**
     * Set LoginToken value
     * @param string $loginToken
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setLoginToken($loginToken = null)
    {
        // validation for constraint: string
        if (!is_null($loginToken) && !is_string($loginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($loginToken, true), gettype($loginToken)), __LINE__);
        }
        $this->LoginToken = $loginToken;
        return $this;
    }
    /**
     * Get Address value
     * @return \\NineDotMedia\viapost-php\StructType\PostalAddress|null
     */
    public function getAddress()
    {
        return $this->Address;
    }
    /**
     * Set Address value
     * @param \\NineDotMedia\viapost-php\StructType\PostalAddress $address
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setAddress(\\NineDotMedia\viapost-php\StructType\PostalAddress $address = null)
    {
        $this->Address = $address;
        return $this;
    }
    /**
     * Get firstClassStr value
     * @return string|null
     */
    public function getFirstClassStr()
    {
        return $this->firstClassStr;
    }
    /**
     * Set firstClassStr value
     * @param string $firstClassStr
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setFirstClassStr($firstClassStr = null)
    {
        // validation for constraint: string
        if (!is_null($firstClassStr) && !is_string($firstClassStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($firstClassStr, true), gettype($firstClassStr)), __LINE__);
        }
        $this->firstClassStr = $firstClassStr;
        return $this;
    }
    /**
     * Get insertsStr value
     * @return string|null
     */
    public function getInsertsStr()
    {
        return $this->insertsStr;
    }
    /**
     * Set insertsStr value
     * @param string $insertsStr
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setInsertsStr($insertsStr = null)
    {
        // validation for constraint: string
        if (!is_null($insertsStr) && !is_string($insertsStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($insertsStr, true), gettype($insertsStr)), __LINE__);
        }
        $this->insertsStr = $insertsStr;
        return $this;
    }
    /**
     * Get costCentreStr value
     * @return string|null
     */
    public function getCostCentreStr()
    {
        return $this->costCentreStr;
    }
    /**
     * Set costCentreStr value
     * @param string $costCentreStr
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setCostCentreStr($costCentreStr = null)
    {
        // validation for constraint: string
        if (!is_null($costCentreStr) && !is_string($costCentreStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($costCentreStr, true), gettype($costCentreStr)), __LINE__);
        }
        $this->costCentreStr = $costCentreStr;
        return $this;
    }
    /**
     * Get affiliateGUID value
     * @return string|null
     */
    public function getAffiliateGUID()
    {
        return $this->affiliateGUID;
    }
    /**
     * Set affiliateGUID value
     * @param string $affiliateGUID
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setAffiliateGUID($affiliateGUID = null)
    {
        // validation for constraint: string
        if (!is_null($affiliateGUID) && !is_string($affiliateGUID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($affiliateGUID, true), gettype($affiliateGUID)), __LINE__);
        }
        $this->affiliateGUID = $affiliateGUID;
        return $this;
    }
    /**
     * Get jobRunIDStr value
     * @return string|null
     */
    public function getJobRunIDStr()
    {
        return $this->jobRunIDStr;
    }
    /**
     * Set jobRunIDStr value
     * @param string $jobRunIDStr
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setJobRunIDStr($jobRunIDStr = null)
    {
        // validation for constraint: string
        if (!is_null($jobRunIDStr) && !is_string($jobRunIDStr)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($jobRunIDStr, true), gettype($jobRunIDStr)), __LINE__);
        }
        $this->jobRunIDStr = $jobRunIDStr;
        return $this;
    }
    /**
     * Get myCustomerAPILetter value
     * @return \\NineDotMedia\viapost-php\StructType\CustomerAPILetter|null
     */
    public function getMyCustomerAPILetter()
    {
        return $this->myCustomerAPILetter;
    }
    /**
     * Set myCustomerAPILetter value
     * @param \\NineDotMedia\viapost-php\StructType\CustomerAPILetter $myCustomerAPILetter
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setMyCustomerAPILetter(\\NineDotMedia\viapost-php\StructType\CustomerAPILetter $myCustomerAPILetter = null)
    {
        $this->myCustomerAPILetter = $myCustomerAPILetter;
        return $this;
    }
    /**
     * Get ReturnMessage value
     * @return string|null
     */
    public function getReturnMessage()
    {
        return $this->ReturnMessage;
    }
    /**
     * Set ReturnMessage value
     * @param string $returnMessage
     * @return \\NineDotMedia\viapost-php\StructType\SendLetterWithStructuredAddress
     */
    public function setReturnMessage($returnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($returnMessage) && !is_string($returnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($returnMessage, true), gettype($returnMessage)), __LINE__);
        }
        $this->ReturnMessage = $returnMessage;
        return $this;
    }
}
