<?php

namespace \NineDotMedia\viapost-php\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for SignInResponse StructType
 * @subpackage Structs
 */
class SignInResponse extends AbstractStructBase
{
    /**
     * The SignInResult
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 1
     * @var bool
     */
    public $SignInResult;
    /**
     * The sLoginToken
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sLoginToken;
    /**
     * The sReturnMessage
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sReturnMessage;
    /**
     * Constructor method for SignInResponse
     * @uses SignInResponse::setSignInResult()
     * @uses SignInResponse::setSLoginToken()
     * @uses SignInResponse::setSReturnMessage()
     * @param bool $signInResult
     * @param string $sLoginToken
     * @param string $sReturnMessage
     */
    public function __construct($signInResult = null, $sLoginToken = null, $sReturnMessage = null)
    {
        $this
            ->setSignInResult($signInResult)
            ->setSLoginToken($sLoginToken)
            ->setSReturnMessage($sReturnMessage);
    }
    /**
     * Get SignInResult value
     * @return bool
     */
    public function getSignInResult()
    {
        return $this->SignInResult;
    }
    /**
     * Set SignInResult value
     * @param bool $signInResult
     * @return \\NineDotMedia\viapost-php\StructType\SignInResponse
     */
    public function setSignInResult($signInResult = null)
    {
        // validation for constraint: boolean
        if (!is_null($signInResult) && !is_bool($signInResult)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($signInResult, true), gettype($signInResult)), __LINE__);
        }
        $this->SignInResult = $signInResult;
        return $this;
    }
    /**
     * Get sLoginToken value
     * @return string|null
     */
    public function getSLoginToken()
    {
        return $this->sLoginToken;
    }
    /**
     * Set sLoginToken value
     * @param string $sLoginToken
     * @return \\NineDotMedia\viapost-php\StructType\SignInResponse
     */
    public function setSLoginToken($sLoginToken = null)
    {
        // validation for constraint: string
        if (!is_null($sLoginToken) && !is_string($sLoginToken)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sLoginToken, true), gettype($sLoginToken)), __LINE__);
        }
        $this->sLoginToken = $sLoginToken;
        return $this;
    }
    /**
     * Get sReturnMessage value
     * @return string|null
     */
    public function getSReturnMessage()
    {
        return $this->sReturnMessage;
    }
    /**
     * Set sReturnMessage value
     * @param string $sReturnMessage
     * @return \\NineDotMedia\viapost-php\StructType\SignInResponse
     */
    public function setSReturnMessage($sReturnMessage = null)
    {
        // validation for constraint: string
        if (!is_null($sReturnMessage) && !is_string($sReturnMessage)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sReturnMessage, true), gettype($sReturnMessage)), __LINE__);
        }
        $this->sReturnMessage = $sReturnMessage;
        return $this;
    }
}
